/*
 * Copyright (c) 2001 The Anthill Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Gnu General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Gnu General Public License for more details.
 *
 * You should have received a copy of the Gnu General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package anthill.antsim;

import anthill.*;
import anthill.nest.*;
import anthill.util.*;

/**
 *  The <CODE>Peernet</CODE> interface represents a simulated
 *  peer-to-peer network. Each <CODE>Peernet</CODE> is composed by a 
 *  collection of nests linked together. <CODE>Peernet</CODE> objects 
 *  are one of the components of <CODE>Scenario</CODE> objects.
 *  
 *  
 *  @author Alberto Montresor
 *  @version $REVISION$
 */
public interface Peernet
extends Clearable
{
  
  /**
   *  Returns the collection of nests composing the simulated P2P network.
   */
  public Nest[] getNests();

  
} // END Peernet

