/*
 * Copyright (c) 2001 The Anthill Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package anthill.factory;

/**
 *  Container for classes implementing an interface,
 *  including its arguments. This is used for storing
 *  in the Factory's HashMap.
 *
 *  @author Hein Meling
 *  @version $REVISION$
 */
class ClassData
{
  String clazz;
  Class[] types;
  Object[] args;
  /* The version of this parameter configuration */
  int version;

  ClassData(String clazz, Class[] types, Object[] args) {
    this.version = 0;
    this.clazz = clazz;
    this.types = types;
    this.args  = args;
  }

  void update(String newClass, Class[] newTypes, Object[] newArgs) {
    version++;
    clazz = newClass;
    types = newTypes;
    args = newArgs;
  }

  void updateArgs(Object[] newArgs) {
    version++;
    args = newArgs;
  }

} // END ClassData
