/*
 * Copyright (c) 2001 The Anthill Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Gnu General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Gnu General Public License for more details.
 *
 * You should have received a copy of the Gnu General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package random;

import anthill.*;
import anthill.factory.*;
import anthill.util.*;

/**
 *
 *  @author Alberto Montresor
 *  @version $REVISION$
 */
public class RandomAntFactory
implements AntFactory
{
  
  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructor
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   *  
   */
  public RandomAntFactory()
  {
  }
  
  
  ////////////////////////////////////////////////////////////////////////////////////////////
  // Methods
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   *   Returns a set of ants for a query. Each ant will take care of
   *   the research of a distinct token of the query string. 
   */
  public Ant[] getAnts(Object request)
  {
    Ant[] ants = new Ant[1];
    ants[0] = new RandomAnt((String) request);
    return ants;
  }
  
} // END RandomFactory


